summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-03-27 15:25:55 +0100
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-03-27 23:05:32 +0000
commit8c8b89ada2c98933f1bc50dc8c973d5d80b6d620 (patch)
tree3564414febc883796a55ca183c0d108dd56253b5
parentc72ea55d30246464b8562890d9109a9940da79ff (diff)
downloadtde-packaging-gentoo-8c8b89ad.tar.gz
tde-packaging-gentoo-8c8b89ad.zip
Live ebuilds: Add preliminary `KBibTex` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/kbibtex/kbibtex-9999.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/trinity-apps/kbibtex/kbibtex-9999.ebuild b/trinity-apps/kbibtex/kbibtex-9999.ebuild
new file mode 100644
index 00000000..39b10d7b
--- /dev/null
+++ b/trinity-apps/kbibtex/kbibtex-9999.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="de fr it pl ru"
+
+inherit trinity-base-2
+
+DESCRIPTION="A bibliography editor for TDE"
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+DEPEND="virtual/tex-base
+ dev-libs/yaz
+ dev-libs/libxslt"
+RDEPEND="${DEPEND}
+ dev-tex/bibtex2html
+ dev-tex/latex2rtf
+"
+
+src_configure() {
+ mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+
+ trinity-base-2_src_configure
+}